package it.unibas.acim2pincohibernate.controllo;

import it.unibas.acim2pincohibernate.modello.Utente;
import it.unibas.pinco.azioni.Azione;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

public class AzioneIniziaInserisciProprietario implements Azione {

    private boolean richiestaCorretta(HttpServletRequest request) {
        HttpSession session = request.getSession();
        Utente utente = (Utente)session.getAttribute("utente");
        if (session.isNew() || utente == null || !utente.getRuolo().equals("amministratore")) {
            return false;
        }
        return true;
    }

    public String esegui(HttpServletRequest request){
        if (!richiestaCorretta(request)) {
            return "errore";
        }
        return "successo";
    }
}

