package it.unibas.acim2pincohibernate.controllo;

import it.unibas.acim2pincohibernate.modello.Utente;
import it.unibas.pinco.azioni.Azione;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

public class AzioneTornaAlMenu implements Azione {
    
    private boolean richiestaCorretta(HttpServletRequest request) {
        HttpSession session = request.getSession();
        Utente utente = (Utente)session.getAttribute("utente");
        if (session.isNew() || utente == null || (!utente.getRuolo().equals("utente") && !utente.getRuolo().equals("amministratore"))) {
            return false;
        }
        return true;
    }
    
    public String esegui(HttpServletRequest request){
        if (!richiestaCorretta(request)) {
            return "errore";
        }
        HttpSession session = request.getSession(false);
        Utente utente = (Utente)session.getAttribute("utente");
        if (utente.getRuolo().equals("utente")) {
            return "menuUtente";
        } else if (utente.getRuolo().equals("amministratore")) {
            return "menuAmministratore";
        }
        return "errore";
    }
}

