<?xml version="1.0" encoding="iso-8859-1" ?>

<%@ taglib uri="http://www.db.unibas.it/users/mecca/diogene/pinco" prefix="pinco" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<pinco:noCache />

<!-- ************** intestazione *************** -->
<jsp:include page="intestazione.jsp">
  <jsp:param name="titolo" value="Inserimento automobile" />
</jsp:include>
<!-- ******************************************* -->

<h2>Inserimento automobile</h2>

<p>Ricerca del proprietario</p>

<pinco:errori />

<form method="post" action="<c:url value='cercaProprietarioCF.cmd' />">
<p>
Ricerca per codice fiscale: 
<input type="text" name="codiceFiscale" value="${formCodiceFiscale.codiceFiscale}" />
<input type="submit" value="Cerca" />
</p>
</form>

<form method="post" action="<c:url value='cercaProprietarioNome.cmd' />">
<p>
Ricerca per nome: 
<input type="text" name="nome" value="${formNome.nome}" />
<input type="submit" value="Cerca" />
</p>
</form>

<form method="post" action="<c:url value='tornaAlMenu.cmd' />">
<p><input type="submit" value="Torna al Menu" /></p>
</form>

<!-- ************** pie di pagina ************** -->
<jsp:include page="pieDiPagina.jsp" />
<!-- ******************************************* -->
