<?xml version="1.0" encoding="iso-8859-1" ?>

<%@ taglib uri="http://www.db.unibas.it/users/mecca/diogene/pinco" prefix="pinco" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<pinco:noCache />

<!-- ************** intestazione *************** -->
<jsp:include page="intestazione.jsp">
    <jsp:param name="titolo" value="Inserimento automobile" />
</jsp:include>
<!-- ******************************************* -->

<h2>Seleziona il proprietario</h2>

<form method="post" action="<c:url value='selezionaProprietario.cmd' />">
<c:forEach var="proprietario" items="${listaProprietari}" varStatus="status">
<p>      
<input type="radio" name="posizione" value="${status.count}" 
<c:if test="${status.count == 1}">checked="checked"</c:if> />
<em>Nome</em>: ${proprietario.nome} -
<em>Codice Fiscale</em>: ${proprietario.codiceFiscale} -
<em>Citt&agrave; di Residenza</em>: ${proprietario.cittaDiResidenza} -
<em>Patente</em>: ${proprietario.annoPatente}
</p>
</c:forEach>
<input type="submit" value="Procedi" />
</form>

<div class="sep"></div>

<form method="post" action="<c:url value='tornaAlMenu.cmd' />">
    <p><input type="submit" value="Torna al Menu" /></p>
</form>

<!-- ************** pie di pagina ************** -->
<jsp:include page="pieDiPagina.jsp" />
<!-- ******************************************* -->
