<?xml version="1.0" encoding="iso-8859-1" ?>

<%@ taglib uri="http://www.db.unibas.it/users/mecca/diogene/pinco" prefix="pinco" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<pinco:noCache />

<!-- ************** intestazione *************** -->
<jsp:include page="intestazione.jsp">
    <jsp:param name="titolo" value="Elenco Proprietari e Automobili" />
</jsp:include>
<!-- ******************************************* -->

<h2>Elenco dei Proprietari e delle Automobili</h2>

<c:forEach var="proprietario" items="${elenco}">
    <table class="proprietario">
        <tr>
            <td class="label">Nome Proprietario</td> <td class="dati">${proprietario.nome}</td>
            <td class="label">Codice fiscale:</td><td class="dati"> ${proprietario.codiceFiscale}</td>
            <td class="label">Citta di Residenza</td> <td class="dati">${proprietario.cittaDiResidenza}</td>
            <td class="label">Anno Patente:</td> <td class="dati">${proprietario.annoPatente}</td>
        </tr>
    </table>
    <table class="automobili">
        <tr><th>Targa</th><th>Modello</th><th>Cilindrata</th>
        <c:forEach var="automobile" items="${proprietario.automobili}">
            <tr>
                <td>${automobile.targa}</td>
                <td>${automobile.modello}</td>
                <td>${automobile.cilindrata}</td>
            </tr>
        </c:forEach>
    </table>
</c:forEach>

<div class="sep"></div>

<form method="post" action="<c:url value='tornaAlMenu.cmd' />">
    <p><input type="submit" value="Torna al Menu" /></p>
</form>

<!-- ************** pie di pagina ************** -->
<jsp:include page="pieDiPagina.jsp" />
<!-- ******************************************* -->
