create table automobili (
   id int8 not null,
   targa varchar(255) not null unique,
   modello varchar(255) not null,
   cilindrata int4 not null,
   idproprietario int8,
   primary key (id)
);
create table proprietari (
   id int8 not null,
   codiceFiscale varchar(255) not null unique,
   nome varchar(255) not null,
   cittaDiResidenza varchar(255) not null,
   annoPatente int4 not null,
   primary key (id)
);
create table utenti (
   id int8 not null,
   nomeUtente varchar(255) not null unique,
   password varchar(255) not null,
   nome varchar(255) not null,
   ruolo varchar(255) not null,
   primary key (id)
);
alter table automobili add constraint FK15412F1535CCDC75 foreign key (idproprietario) references proprietari;
create table hibernate_unique_key (
    next_hi int4 
);
insert into hibernate_unique_key values ( 3 );
insert into utenti values (1, 'gianni', '1bc42179cc24bcc5eeff1b1b2d03657c', 'Gianni Mecca', 'amministratore');
insert into utenti values (2, 'pinco', '8ae79c7b003ff7c7199b9389fe3c6b5d', 'Pinco Palla', 'utente');
