<?xml version="1.0" encoding="iso-8859-1" ?>

<%@ taglib uri="http://www.db.unibas.it/users/mecca/diogene/pinco" prefix="pinco" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<pinco:noCache />

<!-- ************** intestazione *************** -->
<jsp:include page="intestazione.jsp">
  <jsp:param name="titolo" value="Scambio targhe" />
</jsp:include>
<!-- ******************************************* -->

<h2>Scambio di Targa</h2>

<p>Ecco i dati delle due automobili</p>

<p>Automobile n. 1</p>
<table class="automobili">
  <tr>
    <th>Targa:</th> <td class="dati">${automobile1.targa}</td>
    <th>Modello:</th><td class="dati">${automobile1.modello}</td>
    <th>Cilindrata</th> <td class="dati">${automobile1.cilindrata}</td>
  </tr>
</table>

<p>Automobile n. 2</p>
<table class="automobili">
  <tr>
    <th>Targa:</th> <td class="dati">${automobile2.targa}</td>
    <th>Modello:</th><td class="dati">${automobile2.modello}</td>
    <th>Cilindrata</th> <td class="dati">${automobile2.cilindrata}</td>
  </tr>
</table>

<form method="post" action="<c:url value='scambiaTarghe.cmd' />">
<p>Vuoi effettuare lo scambio di targa ? <input type="submit" value="Effettua lo scambio" /></p>
</form>

<form method="post" action="<c:url value='tornaAlMenu.cmd' />">
<p><input type="submit" value="Torna al Menu" /></p>
</form>

<!-- ************** pie di pagina ************** -->
<jsp:include page="pieDiPagina.jsp" />
<!-- ******************************************* -->
