<?xml version="1.0" encoding="iso-8859-1" ?>

<%@ taglib uri="http://www.db.unibas.it/users/mecca/diogene/pinco" prefix="pinco" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<pinco:noCache />

<!-- ************** intestazione *************** -->
<jsp:include page="intestazione.jsp">
  <jsp:param name="titolo" value="Inserimento automobile" />
</jsp:include>
<!-- ******************************************* -->

<pinco:errori />

<h2>Inserisci i dati dell'automobile</h2>

<table class="proprietario">
  <tr>
    <td class="label">Nome Proprietario</td> <td class="dati">${proprietario.nome}</td>
    <td class="label">Codice fiscale:</td><td class="dati">${proprietario.codiceFiscale}</td>
    <td class="label">Citta di Residenza</td> <td class="dati">${proprietario.cittaDiResidenza}</td>
    <td class="label">Anno Patente:</td> <td class="dati">${proprietario.annoPatente}</td>
  </tr>
</table>
<table class="automobili">
        <tr><th>Targa</th><th>Modello</th><th>Cilindrata</th>
        <c:forEach var="automobile" items="${proprietario.automobili}">
            <tr>
                <td>${automobile.targa}</td>
                <td>${automobile.modello}</td>
                <td>${automobile.cilindrata}</td>
            </tr>
        </c:forEach>
</table>

<form method="post" action="<c:url value='inserisciAutomobile.cmd' />">
<table>
<tr>
<td><strong class="label">Targa:</strong></td>
<td><input type="text" name="targa" value="${formAutomobile.targa}" />
</td>
</tr>
<tr>
<td><strong class="label">Modello:</strong></td>
<td><input type="text" name="modello" value="${formAutomobile.modello}" />
</td>

</tr>
<tr>
<td><strong class="label">Cilindrata:</strong></td>
<td><input type="text" name="cilindrata" value="${formAutomobile.cilindrata}" />
</tr>
</table>

<input type="submit" value="Inserisci" />
</form>

<form method="post" action="<c:url value='tornaAlMenu.cmd' />">
<p><input type="submit" value="Torna al Menu" /></p>
</form>

<!-- ************** pie di pagina ************** -->
<jsp:include page="pieDiPagina.jsp" />
<!-- ******************************************* -->
