<?xml version="1.0" encoding="iso-8859-1" ?>

<%@ taglib uri="http://www.db.unibas.it/users/mecca/diogene/pinco" prefix="pinco" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<pinco:noCache />

<!-- ************** intestazione *************** -->
<jsp:include page="intestazione.jsp">
  <jsp:param name="titolo" value="Menu Operazioni Amministratore" />
</jsp:include>
<!-- ******************************************* -->

<h2>Utente: ${utente.nome}</h2>

<p><strong>Scegli l'operazione da eseguire </strong></p>

<form method="post" action="<c:url value='iniziaInserisciProprietario.cmd' />">
<ul>
<li>
<p><input type="submit" value="Operazione 1" /> Inserisci i dati di un proprietario</p>
</li>
</ul>
</form>

<form method="post" action="<c:url value='iniziaInserisciAutomobile.cmd' />">
<ul>
<li>
<p><input type="submit" value="Operazione 2" /> Inserisci i dati di un'automobile</p>
</li>
</ul>
</form>

<form method="post" action="<c:url value='iniziaEliminaAutomobile.cmd' />">
<ul>
<li>
<p><input type="submit" value="Operazione 3" /> Elimina un'automobile</p>
</li>
</ul>
</form>

<form method="post" action="<c:url value='iniziaAggiornaAutomobile.cmd' />">
<ul>
<li>
<p><input type="submit" value="Operazione 4" /> Aggiorna i dati di un'automobile</p>
</li>
</ul>
</form>

<form method="post" action="<c:url value='iniziaScambiaTarghe.cmd' />">
<ul>
<li>
<p><input type="submit" value="Operazione 5" /> Scambia targhe</p>
</li>
</ul>
</form>

<form method="post" action="<c:url value='stampaElenco.cmd' />">
<ul>
<li>
<p><input type="submit" value="Operazione 6" /> Stampa elenco proprietari e automobili</p>
</li>
</ul>
</form>

<form method="post" action="<c:url value='help.cmd' />">
<p><input type="submit" value="Pagina di aiuto" /></p>
</form>

<form method="post" action="<c:url value='esci.cmd' />">
<p><input type="submit" value="Esci" /></p>
</form>

<!-- ************** pie di pagina ************** -->
<jsp:include page="pieDiPagina.jsp" />
<!-- ******************************************* -->
