<?xml version="1.0" encoding="iso-8859-1" ?>

<%@ taglib uri="http://www.db.unibas.it/users/mecca/diogene/pinco" prefix="pinco" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<pinco:noCache />

<!-- ************** intestazione *************** -->
<jsp:include page="intestazione.jsp">
  <jsp:param name="titolo" value="Inserimento proprietario" />
</jsp:include>
<!-- ******************************************* -->

<pinco:errori />

<h2>Inserisci i dati del proprietario</h2>

<form method="post" action="<c:url value='inserisciProprietario.cmd' />">
<table>
<tr>
<td><strong class="label">Nome e Cognome:</strong></td>
<td><input type="text" name="nome" value="${formProprietario.nome}" />
</td>
</tr>
<tr>
<td><strong class="label">Codice Fiscale:</strong></td>
<td><input type="text" name="codiceFiscale" value="${formProprietario.codiceFiscale}" />
</td>

</tr>
<tr>
<td><strong class="label">Citt&agrave; di Residenza:</strong></td>
<td><input type="text" name="cittaDiResidenza" value="${formProprietario.cittaDiResidenza}" />
</tr>
<tr>
<td><strong class="label">Anno di Conseguimento della Patente:</strong></td>
<td><input type="text" name="annoPatente" value="${formProprietario.annoPatente}" />
</tr>
</table>

<input type="submit" value="Inserisci" />
</form>

<form method="post" action="<c:url value='tornaAlMenu.cmd' />">
<p><input type="submit" value="Torna al Menu" /></p>
</form>

<!-- ************** pie di pagina ************** -->
<jsp:include page="pieDiPagina.jsp" />
<!-- ******************************************* -->
